import DataLoader from 'dataloader';
import { AdminContextProvider } from '../../admin-context/providers/admin-context.provider.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IDeleteBusinessTripCarRentalExpenseParams, IInsertBusinessTripCarRentalExpenseParams, IUpdateBusinessTripCarRentalExpenseParams } from '../types.js';
export declare class BusinessTripCarRentalExpensesProvider {
    private db;
    private adminContextProvider;
    constructor(db: TenantAwareDBClient, adminContextProvider: AdminContextProvider);
    private batchBusinessTripsCarRentalExpensesByBusinessTripIds;
    getBusinessTripsCarRentalExpensesByBusinessTripIdLoader: DataLoader<string, import("../types.js").IGetBusinessTripsCarRentalExpensesByBusinessTripIdsResult[], string>;
    private batchBusinessTripsCarRentalExpensesByIds;
    getBusinessTripsCarRentalExpensesByIdLoader: DataLoader<string, import("../types.js").IGetBusinessTripsCarRentalExpensesByIdsResult | undefined, string>;
    updateBusinessTripCarRentalExpense(params: IUpdateBusinessTripCarRentalExpenseParams): Promise<import("../types.js").IUpdateBusinessTripCarRentalExpenseResult[]>;
    insertBusinessTripCarRentalExpense(params: IInsertBusinessTripCarRentalExpenseParams): Promise<import("../types.js").IInsertBusinessTripCarRentalExpenseResult[]>;
    deleteBusinessTripCarRentalExpense(params: IDeleteBusinessTripCarRentalExpenseParams): Promise<import("../types.js").IDeleteBusinessTripCarRentalExpenseResult[]>;
    invalidateById(expenseId: string): Promise<void>;
    invalidateByBusinessTripId(businessTripId: string): Promise<void>;
    clearCache(): void;
}
